Loading...
Searching...
No Matches
trim_dec.c File Reference

GIS Library - Trim string decimal functions. More...

`#include <string.h>`
`#include <grass/gis.h>`
Include dependency graph for trim_dec.c:

Go to the source code of this file.

## Functions

void | G_trim_decimal (char *buf)
| Removes trailing zeros from decimal number.

## Detailed Description

GIS Library - Trim string decimal functions.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file trim_dec.c.

## Function Documentation

## G_trim_decimal()

void G_trim_decimal | ( | char * | buf | ) |

Removes trailing zeros from decimal number.

Example: 23.45000 would come back as 23.45

Parameters

  [in,out] | buf |

Definition at line 24 of file trim_dec.c.